Get one TRaSH cached entity
GET
/trash-guide/sources/{id}/entities/{trashId}
const url = 'https://example.com/api/v1/trash-guide/sources/1/entities/example?type=custom_format';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/trash-guide/sources/1/entities/example?type=custom_format'Returns a single TRaSH entity from a synced source cache by trashId.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
TRaSH source ID
trashId
required
string
TRaSH entity ID (32 lowercase hex chars)
Query Parameters
Section titled “Query Parameters”type
required
string
TRaSH entity type
Responses
Section titled “Responses”TRaSH cached entity
Media typeapplication/json
object
source
required
object
type
required
string
id
required
integer
name
required
string
arrType
required
string
trashId
required
string
type
required
string
name
required
string
filePath
required
string
fetchedAt
required
string format: date-time
entity
required
object
key
additional properties
any
scores
object
key
additional properties
number
group
integer
Example
{ "source": { "type": "trash", "arrType": "radarr" }, "type": "custom_format"}Missing or invalid source/id/type parameter
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Source or TRaSH entity not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Invalid entity type
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Failed to read TRaSH entity cache
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}